#
# spec file for package libXxf86misc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libXxf86misc
%define lname	libXxf86misc1
Version:        1.0.3
Release:        15.3
Summary:        XFree86-Misc X extension library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://xorg.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libXxf86misc
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libXxf86misc/
Source:         http://xorg.freedesktop.org/archive/individual/lib/%name-%version.tar.bz2
Patch1:         libXxf86misc-xcb.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.60, automake, libtool
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86miscproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto)

%description
libXxf86misc provides an interface to the XFree86-Misc extension,
which allows client applications to query the current keyboard and
mouse settings of the running XFree86-based (XFree86, Xorg) server.

%package -n %lname
Summary:        XFree86-Misc X extension library
Group:          System/Libraries

%description -n %lname
libXxf86misc provides an interface to the XFree86-Misc extension,
which allows client applications to query the current keyboard and
mouse settings of the running XFree86-based (XFree86, Xorg) server.

%package devel
Summary:        Development files for the XFree86-Misc X extension library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libXxf86misc provides an interface to the XFree86-Misc extension,
which allows client applications to query the current keyboard and
mouse settings of the running XFree86-based (XFree86, Xorg) server.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q
%patch -P 1 -p0

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libXxf86misc.so.1*

%files devel
%defattr(-,root,root)
%_libdir/libXxf86misc.so
%_libdir/pkgconfig/xxf86misc.pc
%_mandir/man3/*

%changelog
* Thu Apr 11 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
- Avoid calling fdupes outside of /usr
* Tue Sep 25 2012 sndirsch@suse.com
- specfile cleanup
* Tue Feb  7 2012 jengelh@medozas.de
- Split xorg-x11-libs into separate packages
